Legrand / Raritan / Server Technology Xerus™ JSON-RPC API: fitness::HardwareHealth Interface Reference

Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Classes | Public Member Functions | Public Attributes | List of all members
fitness::HardwareHealth Interface Reference

## Classes
struct | Failure
| Hardware Failure. More...
struct | FailureStatusChangedEvent
| Event that is send when the hardware failure status changes. More...

## Public Member Functions
vector< Failure > | getFailures ()
| Return a vector with past and present hardware failures.

## Public Attributes
constant int | FAILURE_TYPE_NETWORK_DEVICE_NOT_DETECTED = 1
| hardware failure types
constant int | FAILURE_TYPE_I2C_BUS_STUCK = 2
constant int | FAILURE_TYPE_SUB_CTRL_NOT_REACHABLE = 3
constant int | FAILURE_TYPE_SUB_CTRL_MALFUNCTION = 4
constant int | FAILURE_TYPE_OUTLET_POWER_STATE_INCONSISTENT = 5
constant int | FAILURE_TYPE_SUB_CTRL_INCOMPATIBLE = 6

## Detailed Description

Definition at line 10 of file HardwareHealth.idl.

## Member Function Documentation

## ◆ getFailures()

vector< Failure > fitness::HardwareHealth::getFailures | ( |  | ) |

Return a vector with past and present hardware failures.

Returns
  hardware failure vector

## Member Data Documentation

## ◆ FAILURE_TYPE_I2C_BUS_STUCK

constant int fitness::HardwareHealth::FAILURE_TYPE_I2C_BUS_STUCK = 2

Definition at line 14 of file HardwareHealth.idl.

## ◆ FAILURE_TYPE_NETWORK_DEVICE_NOT_DETECTED

constant int fitness::HardwareHealth::FAILURE_TYPE_NETWORK_DEVICE_NOT_DETECTED = 1

hardware failure types

Definition at line 13 of file HardwareHealth.idl.

## ◆ FAILURE_TYPE_OUTLET_POWER_STATE_INCONSISTENT

constant int fitness::HardwareHealth::FAILURE_TYPE_OUTLET_POWER_STATE_INCONSISTENT = 5

Definition at line 17 of file HardwareHealth.idl.

## ◆ FAILURE_TYPE_SUB_CTRL_INCOMPATIBLE

constant int fitness::HardwareHealth::FAILURE_TYPE_SUB_CTRL_INCOMPATIBLE = 6

Definition at line 18 of file HardwareHealth.idl.

## ◆ FAILURE_TYPE_SUB_CTRL_MALFUNCTION

constant int fitness::HardwareHealth::FAILURE_TYPE_SUB_CTRL_MALFUNCTION = 4

Definition at line 16 of file HardwareHealth.idl.

## ◆ FAILURE_TYPE_SUB_CTRL_NOT_REACHABLE

constant int fitness::HardwareHealth::FAILURE_TYPE_SUB_CTRL_NOT_REACHABLE = 3

Definition at line 15 of file HardwareHealth.idl.

The documentation for this interface was generated from the following file:

- HardwareHealth.idl